View Issue Details

IDProjectCategoryView StatusLast Update
0002388FreeCADBugpublic2016-02-22 18:17
Reporteredman007Assigned Toeivindkvedalen 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSSlackware 64-bitOS Versioncurrent
Product Version 
Target VersionFixed in Version0.16 
Summary0002388: Spreadsheet::SheetObserver::slotChangedObject(const App::DocumentObject&, const App::Property&): Assertion `name != 0`
DescriptionAttempting to camfer edges of a cube in the attached file causes a failed assertion (and essentially a crash...this is my debug build).
Steps To ReproduceOpen the short_hull file, under the Part WB select camfer, select edges 1 and 5 of the "Cube" object, click ok.
Additional InformationUsing git 0ea477b, backtrace attatched
TagsNo tags attached.

Activities

edman007

2016-01-02 19:14

reporter  

short_hull.fcstd (Attachment missing)

edman007

2016-01-02 19:17

reporter  

freecad-bt3.txt (Attachment missing)

Related Changesets

FreeCAD: master d53cb814

2016-01-03 10:05:03

Eivind Kvedalen

Details Diff
Spreadsheet: Issue 0002388: The SheetObserver should ignore changed properties that don't have a name. Affected Issues
0002388
mod - src/Mod/Spreadsheet/App/SheetObserver.cpp Diff File

Issue History

Date Modified Username Field Change
2016-01-02 19:14 edman007 New Issue
2016-01-02 19:14 edman007 File Added: short_hull.fcstd
2016-01-02 19:17 edman007 File Added: freecad-bt3.txt
2016-01-03 09:35 eivindkvedalen Assigned To => eivindkvedalen
2016-01-03 09:35 eivindkvedalen Status new => assigned
2016-01-09 12:08 Changeset attached => FreeCAD Master master d53cb814
2016-02-22 18:17 wmayer Status assigned => closed
2016-02-22 18:17 wmayer Resolution open => fixed
2016-02-22 18:17 wmayer Fixed in Version => 0.16